Package org.apache.commons.daemon.support

# Class DaemonConfiguration

java.lang.Object
org.apache.commons.daemon.support.DaemonConfiguration

public final class DaemonConfiguration extends Object
Used by jsvc for Daemon configuration.

Configuration is read from properties file. If no properties file is given the `daemon.properties` is used from the current directory.

The properties file can have property values expanded at runtime by using System properties or execution environment. The part of the property value between `${` and `}` will be used as System property or environment key. If found then the entire `${foo}` will be replaced by the value of either system property or environment variable named `foo`.

If no variable is found the `${foo}` will be passed as is. In case of `$${foo}` this will be unescaped and resulting value will be `${foo}`.

Version:
  $Id: DaemonConfiguration.java 1299939 2012-03-13 01:02:23Z sebb $
Author:
  Mladen Turk

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`DEFAULT_CONFIG`
Default configuration file name.
`protected static final String`
`PREFIX`
Property prefix

## Constructor Summary

Constructors
Constructor
Description
`DaemonConfiguration()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getProperty(String name)`
Gets the configuration property.
`String[]`
`getPropertyArray(String name)`
Gets the configuration property array.
`boolean`
`load(String fileName)`
Loads the configuration properties file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_CONFIG

protected static final String DEFAULT_CONFIG
Default configuration file name.

See Also:
  - Constant Field Values

### PREFIX

protected static final String PREFIX
Property prefix

See Also:
  - Constant Field Values

## Constructor Details

### DaemonConfiguration

public DaemonConfiguration()
Default constructor

## Method Details

### load

public boolean load(String fileName)
Loads the configuration properties file.

Parameters:
  `fileName` - The properties file to load.
Returns:
  `true` if the file was loaded.

### getProperty

public String getProperty(String name) throws ParseException
Gets the configuration property.

Parameters:
  `name` - The name of the property to get.
Throws:
  `ParseException` - if the property is wrongly formatted.

### getPropertyArray

public String[] getPropertyArray(String name) throws ParseException
Gets the configuration property array.

Property array is constructed form the list of properties which end with `[index]`

     daemon.arg[0] = argument 1
     daemon.arg[1] = argument 2
     daemon.arg[2] = argument 3

Parameters:
  `name` - The name of the property array to get.
Throws:
  `ParseException` - if the property is wrongly formatted.